import { NzTreeNode } from "ng-zorro-antd";
export declare class FctreeBusiness {
    /**
     * 获取当前选中的key，保护半选中状态上下级
     * @param pthis
     * @param context
     */
    static getSelectedKey(pthis: any, nodes: NzTreeNode[]): string;
    /**
     * 获取子集节点的值
     * @param node 父级节点
     */
    static getChildrenKeys(nodes: NzTreeNode[]): string;
    /**
     * 获取父级节点的值
     * @param node 父级节点
     */
    static getParentNodeKeys(nodes: NzTreeNode[]): string;
    /**
     * 把树结构的数据转化成树形组件识别的数据
     * @param list
     * @param keyCode
     * @param titleCode
     * @param childCode
     */
    static listChildToTreeNodes(list: any[], keyCode: string, titleCode: string, childCode: string): any[];
}
